Package be.fgov.ehealth.dics.protocol.v4

# Class FindCompoundingFormulaRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindCompoundingFormulaRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindCompoundingFormulaRequest extends RequestType implements Serializable

Java class for FindCompoundingFormulaRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompoundingFormulaRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByCNK" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType"/>
             <element name="FindByOfficialName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByAnyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCompoundingFormulaRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFindByAnyName()`
  Returns all Compounding Formulae where any name or synonym matches the given string.
  `String`
  `getFindByCNK()`
  Returns the Compounding Formula identified by the given CNK number.
  `String`
  `getFindByOfficialName()`
  Returns all Compounding Formulae where the official name matches the given string.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByAnyName(String value)`
  Sets the value of the findByAnyName property.
  `void`
  `setFindByCNK(String value)`
  Sets the value of the findByCNK property.
  `void`
  `setFindByOfficialName(String value)`
  Sets the value of the findByOfficialName property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCompoundingFormulaRequest

    public FindCompoundingFormulaRequest()

- ## Method Details

  - ### getFindByAnyName

    public String getFindByAnyName()
    Returns all Compounding Formulae where any name or synonym matches the given string. A name matches when the name begins with the given string (case insensitive). The given string is at least 3 characters. The Language attribute is not used.
    Returns:
      possible object is `String`

  - ### setFindByAnyName

    public void setFindByAnyName(String value)
    Sets the value of the findByAnyName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByAnyName()`

  - ### getFindByOfficialName

    public String getFindByOfficialName()
    Returns all Compounding Formulae where the official name matches the given string. A name matches when the name begins with the given string (case insensitive). The given string is at least 3 characters. The Language attribute is not used.
    Returns:
      possible object is `String`

  - ### setFindByOfficialName

    public void setFindByOfficialName(String value)
    Sets the value of the findByOfficialName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByOfficialName()`

  - ### getFindByCNK

    public String getFindByCNK()
    Returns the Compounding Formula identified by the given CNK number.
    Returns:
      possible object is `String`

  - ### setFindByCNK

    public void setFindByCNK(String value)
    Sets the value of the findByCNK property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByCNK()`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`